import java.applet.*;
import java.awt.*;

/* *****************************************************************************
*	Class:			InfoFrame
*	Purpose:		Wrapper class for instructions dialog
*******************************************************************************/

public class InfoFrame extends Frame		{

	private	IDD_INSTRUCTIONS	infoDialog = null;
	private Euler			parent = null;

	// constructor
	public InfoFrame(Applet inParent)  {

		super("How to play");
		parent = (Euler) inParent;
		setFont( new Font ("Dom Casual", Font.PLAIN, 14) );
		infoDialog = new IDD_INSTRUCTIONS(this);
		infoDialog.CreateControls();
		show();
		requestFocus();
	}



	/* *************************************************************************
	*	Method:			InfoFrame.action()
	*	Purpose:		Handels button input
	***************************************************************************/

	public boolean action( Event evt, Object obj)  {

		if ( evt.target == infoDialog.IDOK )  {
			hide();
			parent.dlgActive = false ;
			parent.requestFocus();
			return true;
		}
		return false;
	}	// end action

	/* *************************************************************************
	*	Method:			InfoFrame.keyDown()
	*	Purpose:		Handels user input
	***************************************************************************/

	public boolean keyDown( Event evt, int key)  {

		hide();
		parent.dlgActive = false ;
		parent.requestFocus();
		return true;
	}



}	//  end class InfoFrame