import java.util.*;
import java.awt.*;



class Bool  {
	public boolean	value;
	// constructor
	Bool()  {
		value = false;
	}
}

class CMove  {
	public int	length,
			row,
			column;
	// constructor
	CMove()  {
		length=0;
		row=0;
		column=0;
	}

}

class  Square  {
	int	i,j;
	//constructor
	Square()  {
		i=0;
		j=0;
	}
}




/* *****************************************************************************
*	Class:			Computer
*	Purpose:		calculate computermove
*******************************************************************************/

public  class  Computer {

	final int	MaxBlock = 10,
			up	 = 0,
			right	 = 1,
			down	 = 2,
			left	 = 3,
			rad	 = 0,
			komb	 = 1,
			tidigare = 0,
			senare	 = 1,
			lika	 = 2,
			MaxBlockNo	= 1170,
			MaxConfigNo	= 2700,
			max_b		= 1170,
			max_k		= 2604,
			max_Dk_b	= 42;	
	Bool		sym,
			nesta_raduppd_exist;
	int		antal_rutor,
			block_nr,
			apr_tal,
			bildbredd,
			bildheight;
	Int		k_nr;
	

	
int max(int a,int b)  {
	if (a>b)
		return a;
	else
		return b;
}

int min(int a,int b)  {
	if (a<b)
		return a;
	else
		return b;
}

int  potens(int a,int n)  {
	int    ii,p;

	p=1;
	for (ii=1;ii<=n;ii++)  
		p=p*a;
	return p;
}

		
/* *****************************************************************************
*	Function:	makeMove
*	Purpose:	implements move made by computer
*******************************************************************************/


public void makeMove(int[][] pattern, int level,
					 Int L, Int R, Int C)  {

	int		nr,nrWin,nrMove,i,j;
	Int		nConfigs = new Int();
	short[][]	configL = new short[51][6];
	CMove[]		moveL = new CMove[51];
	int		nFreePos=0;
	CMove		move = new CMove();
	
	
	Random	random = new Random( (new Date()).getTime() );
	for ( i=0; i<=50; i++)
		moveL[i] = new CMove();
	for ( i=1; i<=4; i++)
		for ( j=1; j<=4; j++)
			if ( pattern[i][j]==0 )
				nFreePos++;
	if (nFreePos>level)  
		randomMove(pattern, move);
	else  { // use skill
		makeConfigMoveList(pattern, nConfigs, configL, moveL);
		nrWin=0;
		for (nr=1;nr<=nConfigs.value;nr++)  {	 // select winning moves
			if ( configL[nr][0]==-1 )  { 
				nrWin++;
				moveL[nrWin].length = moveL[nr].length;
				moveL[nrWin].row    = moveL[nr].row;
				moveL[nrWin].column = moveL[nr].column;
			}
		}
		if ( nrWin>0 )  {
			nrMove = Math.abs(random.nextInt())%nrWin + 1;
			move.length = moveL[nrWin].length;
			move.row    = moveL[nrWin].row;
			move.column = moveL[nrWin].column;			
		}
		else
			randomMove(pattern, move);
	}
	L.value = move.length;
	R.value = move.row;
	C.value = move.column;
}	



/* *****************************************************************************
*	Function:	randomMove
*	Purpose:	implements random legal move
*******************************************************************************/


void randomMove(int[][] pattern, CMove move)  {

	int	i,j,rk,
		nr,nrMove;
	CMove[]	moveL = new CMove[51];

	for (i=0; i<=50; i++ )
		moveL[i] = new CMove();
	Random	random = new Random( (new Date()).getTime() );
	nr=0;
	for(i=1;i<=4;i++) 
		for(j=1;j<=4;j++)  
			if ( pattern[i][j]==0 )  {
				nr++;
				moveL[nr].length=1;
				moveL[nr].row=i;
				moveL[nr].column=j;
				}
	for (rk=1;rk<=4;rk++)  {
		if ( pattern[rk][1]==0 && pattern[rk][2]==0 )  {
			nr++;
			moveL[nr].length=2;
			moveL[nr].row=rk;
			moveL[nr].column=0;
			if ( pattern[rk][3]==0 )  {
				nr++;
				moveL[nr].length=3;
				moveL[nr].row=rk;
				moveL[nr].column=0;
			}
		}
		if ( pattern[rk][4]==0 && pattern[rk][3]==0 )  {
			nr++;
			moveL[nr].length=2;
			moveL[nr].row=rk;
			moveL[nr].column=5;
			if ( pattern[rk][2]==0 )  {
				nr++;
				moveL[nr].length=3;
				moveL[nr].row=rk;
				moveL[nr].column=5;
			}
		}
		if ( pattern[1][rk]==0 && pattern[2][rk]==0 )  {
			nr++;
			moveL[nr].length=2;
			moveL[nr].row=0;
			moveL[nr].column=rk;
			if ( pattern[3][rk]==0 )  {
				nr++;
				moveL[nr].length=3;
				moveL[nr].row=0;
				moveL[nr].column=rk;
			}
		}
		if ( pattern[4][rk]==0 && pattern[3][rk]==0 )  {
			nr++;
			moveL[nr].length=2;
			moveL[nr].row=5;
			moveL[nr].column=rk;
			if ( pattern[2][rk]==0 )  {
				nr++;
				moveL[nr].length=3;
				moveL[nr].row=5;
				moveL[nr].column=rk;
			}
		}
	}	
	nrMove = Math.abs(random.nextInt())%nr + 1;
	move.length = moveL[nrMove].length;
	move.row    = moveL[nrMove].row;
	move.column = moveL[nrMove].column;			
}  // randomMove


/* *****************************************************************************
*	Function:	configMoveList   // k_lista
*	Purpose:	make listing configL of configurations reachable from pattern
*				and listing of moves to reach the configurations
*******************************************************************************/


void makeConfigMoveList(int[][] pat, Int nConfigs, 
			 short[][] configL, CMove[] moveL)  {

	short	i,j,rk,
		nr, configNo;
	
	for( nr=1; nr<=50; nr++ )  
		for( i=0; i<=5; i++ )
			configL[nr][i]=0;
	configNo=1;
	for( i=1; i<=4; i++ )
		for( j=1; j<=4; j++ )
			if ( pat[i][j]==0 )  {
				pat[i][j]=1;
				calculateConfig(pat, configNo, configL);
				moveL[configNo].length=1;
				moveL[configNo].row=i;
				moveL[configNo].column=j;
				configNo++;
				pat[i][j]=0;
			}
	for ( rk=1; rk<=4; rk++ )  {
		if ( pat[rk][1]==0  && pat[rk][2]==0 )  {
			pat[rk][1]=1;
			pat[rk][2]=1;
			calculateConfig(pat, configNo, configL);
			moveL[configNo].length=2;
			moveL[configNo].row   =rk;
			moveL[configNo].column=0;
			configNo++;
			if ( pat[rk][3]==0 )  {
				pat[rk][3]=1;
				calculateConfig(pat, configNo, configL);
				moveL[configNo].length=3;
				moveL[configNo].row   =rk;
				moveL[configNo].column=0;
				configNo++;
				pat[rk][3]=0;
			}
			pat[rk][2]=0;
			pat[rk][1]=0;
		}
		if ( pat[rk][4]==0  && pat[rk][3]==0 )  {
			pat[rk][4]=1;
			pat[rk][3]=1;
			calculateConfig(pat, configNo, configL);
			moveL[configNo].length=2;
			moveL[configNo].row   =rk;
			moveL[configNo].column=5;
			configNo++;
			if ( pat[rk][2]==0 )  {
				pat[rk][2]=1;
				calculateConfig(pat, configNo, configL);
				moveL[configNo].length=3;
				moveL[configNo].row   =rk;
				moveL[configNo].column=5;
				configNo++;
				pat[rk][2]=0;
			}
			pat[rk][3]=0;
			pat[rk][4]=0;
		}
		if ( pat[1][rk]==0  && pat[2][rk]==0 )  {
			pat[1][rk]=1;
			pat[2][rk]=1;
			calculateConfig(pat, configNo, configL);
			moveL[configNo].length=2;
			moveL[configNo].row   =0;
			moveL[configNo].column=rk;
			configNo++;
			if ( pat[3][rk]==0 )  {
				pat[3][rk]=1;
				calculateConfig(pat, configNo, configL);
				moveL[configNo].length=3;
				moveL[configNo].row   =0;
				moveL[configNo].column=rk;
				configNo++;
				pat[3][rk]=0;
			}
			pat[2][rk]=0;
			pat[1][rk]=0;
		}
		if ( pat[4][rk]==0  && pat[3][rk]==0 )  {
			pat[4][rk]=1;
			pat[3][rk]=1;
			calculateConfig(pat, configNo, configL);
			moveL[configNo].length=2;
			moveL[configNo].row   =5;
			moveL[configNo].column=rk;
			configNo++;
			if ( pat[2][rk]==0 )  {
				pat[2][rk]=1;
				calculateConfig(pat, configNo, configL);
				moveL[configNo].length=3;
				moveL[configNo].row   =5;
				moveL[configNo].column=rk;
				configNo++;
				pat[2][rk]=0;
			}
			pat[3][rk]=0;
			pat[4][rk]=0;
		}
	}
	nConfigs.value = configNo-1;
}  // configMoveList



/* *****************************************************************************
*	Function:	calculateConfig   // behandla
*	Purpose:	Calculates the configuration (i.e division into separate blocks)
*				of the free positions in pattern. If configuration is new in the
*				configList it is placed therin
*******************************************************************************/

void calculateConfig(int[][] pat, int configNo, short[][] configL)  {


	int		i,blockI,minI,
			antal_ettor,
			startI;

	Int		nBlock = new Int();

	boolean	nomore;

	short[]	blockL = new short[MaxBlock+1],
			tempL = new short[MaxBlock+1];

	for(i=1; i<=MaxBlock; i++)
		tempL[i]=0;
	split(pat, nBlock, blockL);
	for( blockI=1; blockI<=nBlock.value; blockI++)  {  // sort blockL in order in tempL
		minI = miniIndex(blockL);
		tempL[blockI] = blockL[minI];
		blockL[minI]=0;
	}
	antal_ettor=0;
	i=1;
	nomore=false;
	do {
		if ( tempL[i]==1 )  {
			antal_ettor++;
			i++;
		}
		else
			nomore=true;
	}
	while ( !nomore );
	startI=1+2*(antal_ettor / 2);
	for (blockI=1; blockI<=5; blockI++ )  {
		i=startI+blockI-1;
		configL[configNo][blockI]=tempL[i];
	}	
	configL[configNo][0] = DataConfig.configuration[ calcConfigNo(configL[configNo]) ][0];	
}  // calculateConfig



/* *****************************************************************************
*	Function:	split
*	Purpose:	calculates list of blocks from free positions in pattern
*******************************************************************************/


void split(int[][] pat,Int nBlock,short[] blockL )  {

	int[][]	patBlockOut = new int[5][5];
	int[][]	patIn		= new int[5][5];

	int			blockNo,i,j;
	Bool		noMoreBlocks = new Bool();

	for(i=1;i<=4;i++)
		for(j=1;j<=4;j++)
			patIn[i][j]=pat[i][j];
	for(i=1; i<=MaxBlock; i++)
		blockL[i]=0;
	blockNo=1;
	do {
		nextBlock(patIn,noMoreBlocks,patBlockOut);
		if ( noMoreBlocks.value )
			nBlock.value = blockNo-1;
		else  {
			blockL[blockNo]=blockOrder(patBlockOut);	
			for(i=1; i<=4; i++)	  
				for(j=1; j<=4; j++)
					if ( patBlockOut[i][j]==0 )
						patIn[i][j]=1;
			blockNo++;
		}
	}
	while (!noMoreBlocks.value );
}  // split


/* *****************************************************************************
*	Function:	nextBlock
*	Purpose:	Calculates next free block from free positions in patIn.
*******************************************************************************/

void nextBlock(int[][] patIn,Bool noMoreBlocks,int[][] patBlockOut)  {

	int		i,j,n,
			nEndSquares;
				
	Int		startI = new Int(),
			startJ = new Int(),
			nextNoEndSquares = new Int(),
			noll = new Int();
	Bool	startExist = new Bool();
	Square	grannruta = new Square();
	
	Square[]	endSquareL = new Square[11],
				nextEndSquareL = new Square[11];

	for ( i=0; i<=10; i++ )  {
		endSquareL[i] = new Square();
		nextEndSquareL[i] = new Square();
	}

	for( i=1; i<=4; i++ )
		for( j=1; j<=4; j++ )
			patBlockOut[i][j]=1;
	startSquare(patIn,startI,startJ,startExist);
	if (startExist.value )  {
		nEndSquares=1;
		endSquareL[1].i= (int) startI.value;
		endSquareL[1].j= (int) startJ.value;		
		patBlockOut[startI.value][startJ.value]=0;
		noMoreBlocks.value = false;
		do {
			nextNoEndSquares.value = 0;
			for(n=1; n<=nEndSquares; n++)  {
				if (endSquareL[n].i>1)  {
					grannruta.i=endSquareL[n].i-1;
					grannruta.j=endSquareL[n].j;
					behandla_granne(patIn,endSquareL[n],grannruta,up,
									patBlockOut,nextNoEndSquares,nextEndSquareL);
				}
				if (endSquareL[n].j<4)  {
					grannruta.i=endSquareL[n].i;
					grannruta.j=endSquareL[n].j+1;
					behandla_granne(patIn,endSquareL[n],grannruta,right,
									patBlockOut,nextNoEndSquares,nextEndSquareL);
				}
				if (endSquareL[n].i<4)  {
					grannruta.i=endSquareL[n].i+1;
					grannruta.j=endSquareL[n].j;
					behandla_granne(patIn,endSquareL[n],grannruta,down,
									patBlockOut,nextNoEndSquares,nextEndSquareL);
				}
				if (endSquareL[n].j>1)  {
					grannruta.i=endSquareL[n].i;
					grannruta.j=endSquareL[n].j-1;
					behandla_granne(patIn,endSquareL[n],grannruta,left,
									patBlockOut,nextNoEndSquares,nextEndSquareL);
				}
			}
			nEndSquares = nextNoEndSquares.value;
			for(n=1; n<= nEndSquares; n++)  {
				endSquareL[n].i = nextEndSquareL[n].i;
				endSquareL[n].j = nextEndSquareL[n].j;
			}
		}
		while ( nEndSquares!=0 );
	}
	else
		noMoreBlocks.value = true;
}  // next_block


/* *****************************************************************************
*	Function:	startSquare
*	Purpose:	
*******************************************************************************/


void startSquare(int[][] pat, Int startR, Int startC, Bool startExist) {

	int	r,c;

	startExist.value = false;
	for (r=1; r<=4; r++)
		for(c=1; c<=4; c++)  
			if ( pat[r][c]==0 )  {
				startR.value = r;
				startC.value = c;
				startExist.value = true;
				return;
			}
}


/* ****************************************************************************
*	Function:	behandla_granne
*	Purpose:	
*******************************************************************************/

void behandla_granne(int[][] pat,Square ruta,Square grannruta,
					 int riktning,int[][] patBlockOut,
					 Int nextNoEndSquares,Square[] nextEndSquareL)  {

	if ( pat[grannruta.i][grannruta.j]==0 )  { 
		if ( patBlockOut[grannruta.i][grannruta.j]==1 && 
		koppling(pat,ruta,grannruta,riktning) )  {
			patBlockOut[grannruta.i][grannruta.j]=0;
			nextNoEndSquares.value = nextNoEndSquares.value+1;
			nextEndSquareL[nextNoEndSquares.value].i=grannruta.i;
			nextEndSquareL[nextNoEndSquares.value].j=grannruta.j;
		}
	}
}  // behandla_granne

/* *****************************************************************************
*	Function:	koppling
*	Purpose:	
*******************************************************************************/

boolean koppling(int[][] pat,Square ruta,
			 Square grannruta,int riktning)  {

	if ( (riktning==up || riktning==down)  &&
		 (ruta.i==2 || ruta.i==3) && (grannruta.i==2 || grannruta.j==3)  &&
		 (pat[1][ruta.j]==1 && pat[4][ruta.j]==1)  )  
		return false;
	if ( (riktning==left || riktning==right)  &&
		 (ruta.j==2 || ruta.j==3) && (grannruta.j==2 || grannruta.j==3)  &&
		 (pat[ruta.i][1]==1 && pat[ruta.i][4]==1)  )  
		return false;
	return true;
}  // koppling


/* *****************************************************************************
*	Function:	blockOrder
*	Purpose:	Calculates the index of pattern in the global Configuration list
*******************************************************************************/


short blockOrder(int[][] pat) {


	short		resultat=0,
				b_nr;
	int			i,j,antal,
				apr_tal;
	boolean		found;
	int			kod_tal;

	int[][]		patFirstUL = new int[2][5],
				patFirst = new int[2][5];

	antal=0;
	for(i=1;i<=4;i++)
		for(j=1;j<=4;j++)
			if (pat[i][j]==0)
				antal++;
	if (antal==1)
		return 1;
	if (antal==2)
		return 2;
	if ( (antal==3) && Height(pat)!=Bredd(pat) )
		return 3;
	if ( (antal==3) && Height(pat)==Bredd(pat) )
		return 4;
	if ( (antal==4) && (Height(pat)==4 || Bredd(pat)==4) )
		return 5;
	tidigast(pat,patFirstUL,patFirst);
	apr_tal=patFirstUL[rad][1]+patFirstUL[rad][2]*5+
			patFirstUL[rad][3]*5*5+patFirstUL[rad][4]*5*5*5;
	kod_tal=patFirst[komb][1]+patFirst[komb][2]*16+
			patFirst[komb][3]*16*16+patFirst[komb][4]*16*16*16;
	found=false;
	b_nr=Data.start_b[apr_tal];
	do {
		if ( Data.M_kod[b_nr]==kod_tal )  {
			found=true;
			resultat=b_nr;
		}
		b_nr++;
	}
	while (    !(  (b_nr==Data.slut_b[apr_tal]+1) || found  )     );
	return resultat;
}  // blockOrder


/* *****************************************************************************
*	Function:	Height
*	Purpose:	
*******************************************************************************/


int Height(int[][] M)  {

	int	hi,i;

	hi=0;
	for(i=1;i<=4;i++) 
		if ( M[i][1]*M[i][2]*M[i][3]*M[i][4]==0 )
			hi++;
	return hi;
}

/* *****************************************************************************
*	Function:	Bredd
*	Purpose:	
*******************************************************************************/


int Bredd(int[][] M)  {

	int	bi,j;

	bi=0;
	for(j=1;j<=4;j++) 
		if ( M[1][j]*M[2][j]*M[3][j]*M[4][j]==0 )
			bi++;
	return bi;
}

/* *****************************************************************************
*	Function:	tilldela
*	Purpose:	
*******************************************************************************/

void tilldela(int[][] A,int[][] B)  {

	int	r;

	for(r=1; r<=4; r++)  {
		A[rad][r]=B[rad][r];
		A[komb][r]=B[komb][r];
	}
}


/* *****************************************************************************
*	Function:	tidigast
*	Purpose:	
*******************************************************************************/

void tidigast(int[][] M,int[][] res_ul,int[][] res)  {

	int[][]	I    = new int[2][5],
			SI   = new int[2][5],
			I90  = new int[2][5],
			S90  = new int[2][5],
			I180 = new int[2][5],
			S180 = new int[2][5],
			I270 = new int[2][5],
			S270 = new int[2][5],
			res1 = new int[2][5],
			res2 = new int[2][5],
			res3 = new int[2][5],
			res4 = new int[2][5],
			res5 = new int[2][5],
			res6 = new int[2][5],
			res7 = new int[2][5];

	ordningslistor(M,I,SI,I90,S90,I180,S180,I270,S270);
	tidigast_ol(I,SI,res1);
	tidigast_ol(I90,S90,res2);
	tidigast_ol(I180,S180,res3);
	tidigast_ol(I270,S270,res4);
	tidigast_ol(res1,res2,res5);
	tidigast_ol(res3,res4,res6);
	tidigast_ol(res5,res6,res7);
	tilldela(res,res7);
	upperleft(res7,res_ul);
}


/* *****************************************************************************
*	Function:	ordningslistor
*	Purpose:	
*******************************************************************************/

void ordningslistor( int[][] M_in,int[][] I,int[][] SI,
								   int[][] I90,int[][] S90,
								   int[][] I180,int[][] S180,
								   int[][] I270,int[][] S270 )  {

	int	r,ii,jj;
	int[][]	M = new int[5][5];

	for( ii=1; ii<=4; ii++)
		for(jj=1; jj<=4; jj++)
			if (M_in[ii][jj]==1)
				M[ii][jj]=0;
			else
				M[ii][jj]=1;
	for(  r=1; r<=4; r++ )  {
		I[rad][r]= M[r][1] + M[r][2] + M[r][3] + M[r][4];
		I[komb][r]= 8*M[r][1] + 4*M[r][2] + 2*M[r][3] + M[r][4];
		SI[rad][r]=I[rad][r];
		SI[komb][r]= 8*M[r][4] + 4*M[r][3] + 2*M[r][2] + M[r][1];
		I90[rad][r]= M[1][5-r] + M[2][5-r] + M[3][5-r] + M[4][5-r];
		I90[komb][r]= 8*M[1][5-r] + 4*M[2][5-r] + 2*M[3][5-r] + M[4][5-r];
		S90[komb][r]= 8*M[4][5-r] + 4*M[3][5-r] + 2*M[2][5-r] + M[1][5-r];
		S90[rad][r]=I90[rad][r];
	}
	for(  r=1; r<=4; r++ )  {
		I180[rad][r]=I[rad][5-r];
		I180[komb][r]=SI[komb][5-r];
		S180[rad][r]=I180[rad][r];
		S180[komb][r]=I[komb][5-r];
		I270[rad][r]=I90[rad][5-r];
		I270[komb][r]=S90[komb][5-r];
		S270[rad][r]=I270[rad][r];
		S270[komb][r]=I90[komb][5-r];
	}
}



/* *****************************************************************************
*	Function:	upperleft
*	Purpose:	
*******************************************************************************/

void upperleft( int[][] L,int[][] L_ul)  {

	boolean		noll;
	int			r,i,maximum,mul;

	noll=true;
	r=0;
	do  {
		r++;
		if ( L[rad][r]!=0 ) noll=false;
	}
	while (  !( (!noll) || (r==4) )  );
	for ( i=1; i<=4-r+1; i++)  {
		L_ul[rad][i]=L[rad][r+i-1];
		L_ul[komb][i]=L[komb][r+i-1];
	}
	for ( i=4-r+2; i<=4; i++)  {
		L_ul[rad][i]=0;
		L_ul[komb][i]=0;
	}
	maximum=max(L[komb][1],L[komb][2]);
	maximum=max(maximum,L[komb][3]);
	maximum=max(maximum,L[komb][4]);
	if (maximum>7)
		mul=1;
	else
		if (maximum>3)
			mul=2;
		else
			if (maximum>1)
				mul=4;
			else
				mul=8;
	for (i=1; i<=4; i++ )
		L_ul[komb][i]=mul*L_ul[komb][i];
}  // upperleft

/* *****************************************************************************
*	Function:	tidigast_ol
*	Purpose:	
*******************************************************************************/


void tidigast_ol( int[][] A,int[][] B,int[][] res)  {

	int[][]	A_ul = new int[2][5],
			B_ul = new int[2][5];
	int	rsvar,ksvar;

	upperleft(A,A_ul);
	upperleft(B,B_ul);
	rsvar=delordning(A_ul[rad],B_ul[rad]);
	if (rsvar==tidigare) tilldela(res,A);
	if (rsvar==senare)	 tilldela(res,B);
	if (rsvar==lika)  {
		ksvar=delordning(A_ul[komb],B_ul[komb]);
		if (ksvar==tidigare) tilldela(res,A);
		if (ksvar==senare)   tilldela(res,B);
		if (ksvar==lika)  {
			rsvar=delordning(A[rad],B[rad]);
			if (rsvar==tidigare) tilldela(res,A);
			if (rsvar==senare)   tilldela(res,B);
			if (rsvar==lika)  {
				ksvar=delordning(A[komb],B[komb]);
				if (ksvar==tidigare) tilldela(res,A);
				if (ksvar==senare)   tilldela(res,B);
				if (ksvar==lika)  	 tilldela(res,A);
			}
		}
	}
}  // tidigast_ol

		

/* *****************************************************************************
*	Function:	delordning
*	Purpose:	
*******************************************************************************/

int delordning(int[] a,int[] b)  {

	if ( a[1]>b[1] )	return tidigare;
	if ( a[1]<b[1] )	return senare;
	if ( a[1]==b[1] )  {
		if ( a[2]>b[2] )	return tidigare;
		if ( a[2]<b[2] )	return senare;
		if ( a[2]==b[2] )  {
			if ( a[3]>b[3] )	return tidigare;
			if ( a[3]<b[3] )	return senare;
			if ( a[3]==b[3] )  {
				if ( a[4]>b[4] )	return tidigare;
				if ( a[4]<b[4] )	return senare;
				if ( a[4]==b[4] )  	return lika;   
			}
		}
	}
	return lika;
}  // delordning


/* *****************************************************************************
*	Function:	miniIndex
*	Purpose:	Returns index of block of lowest order
*******************************************************************************/

int miniIndex(short[] blockL)  {

	int	  i,miniI=0;
	short mini=MaxBlockNo+1;

	for( i=1; i<=MaxBlock; i++ )  {
		if ( blockL[i]<mini && blockL[i]>0 )  {
			miniI=i;
			mini=blockL[i];
		}
	}
	return miniI;
}  // miniIndex

/* *****************************************************************************
*	Function:	calcConfigNo
*	Purpose:	
*******************************************************************************/

int calcConfigNo(short[] config)  {

	int		b_i,i,
		    maxblock,
			k_nr_start,
			jfr_k,
			resultat = 0;
	boolean	found;

	maxblock=0;
	for ( i=1; i<=5; i++)  
		if (config[i]>maxblock) maxblock=config[i];
	if (maxblock==0)
		resultat=0;
	else  {
		k_nr_start=0;
		for (b_i=0; b_i<=(maxblock-1); b_i++)
			k_nr_start+=Data.mkb[b_i];
		found=false;
		jfr_k=k_nr_start;
		do  {
			if ( equal( DataConfig.configuration[jfr_k],config ) )  {
				resultat=jfr_k;
				found=true;
			}
			else
				jfr_k++;
		}
		while ( !found );
	}
	return resultat;
}	// calcConfigNo


/* *****************************************************************************
*	Function:	equal
*	Purpose:	compare two configurations
*******************************************************************************/

boolean	equal(short[] a,short[] b)  {

	int	i;
	boolean	eq;

	eq=true;
	i=0;
	do {
		i++;
		if ( a[i]!=b[i] ) eq=false;
	}
	while (  !( (!eq) || (i==5) )   );
	return eq;
}   //  equal







}     // end class Computer

