import java.io.*;
import java.util.*;
import java.net.*;
import java.awt.*;
import java.applet.*;


/* *****************************************************************************
*  Class:	Display	
*  Purpose:	Handles display-panel	
*******************************************************************************/


class Display  extends Panel  {
	Label	lbDisplay ;

	/* *********************************************************************
	*  Method:	Display.Display()	
	*  Purpose:	Constructor, initializes Display 
	***********************************************************************/

	Display()  {
		setLayout( new BorderLayout()) ;
		setBackground(Color.red);
		setForeground(Color.black);
		setFont(new Font("Courier", Font.BOLD | Font.ITALIC,30));
		lbDisplay = new Label("");
		lbDisplay.setAlignment(Label.CENTER);
		add("Center",lbDisplay);
		repaint();
	}  // end Display.Display()

	/* *********************************************************************
	*  Method:	Display.WRITE()	
	*  Purpose:	Puts message in display. 
	***********************************************************************/

	void write(String message)  {
		lbDisplay.setText(message);
		repaint();
	}  

}  // end class Display

